Package: groovy.swing.factory

## [Groovy] Class TitledBorderFactory

- groovy.swing.factory.TitledBorderFactory

-     class TitledBorderFactory
      extends SwingBorderFactory

  The node must be called with either a value argument or a title: attribute.
  The following attributes are optional.
  position: one of "default", "aboveTop", "top", "belowTop", "aboveBottom", "bottom", "belowBottom", or a constant from javax.swing.border.TitledBorder
  justification: one of "default", "left", "center", "right", "leading", "trailing", or a constant from javax.swing.border.TitledBorder
  border: javax.swing.Border, some other border, if unset the look and feel default will be used
  color: java.awt.Color the color of the text for the title
  font: java.awt.Font the font of the text for the title

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static Map` | `justifications` Maps symbolic justification names to TitledBorder constants.
    `static Map` | `positions` Maps symbolic position names to TitledBorder constants.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TitledBorderFactory()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)` Creates the node handled by this factory.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SwingBorderFactory` | `isLeaf, onHandleNodeAttributes, setParent`
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Property Detail

    - #### static final Map justifications

      Maps symbolic justification names to TitledBorder constants.

    - #### static final Map positions

      Maps symbolic position names to TitledBorder constants.

  - ### Constructor Detail

    - #### TitledBorderFactory()

  - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

      Creates the node handled by this factory.

      Parameters:
        `builder` - the factory builder
        `name` - the node name
        `value` - the node value
        `attributes` - the node attributes
      Returns:
        the created or reused node